/* Copyright (c) 2009,2011,2014 The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 *       copyright notice, this list of conditions and the following
 *       disclaimer in the documentation and/or other materials provided
 *       with the distribution.
 *     * Neither the name of The Linux Foundation nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

#ifndef LOC_ENG_NI_H
#define LOC_ENG_NI_H

#include <stdbool.h>
#include <LocEngAdapter.h>

#define LOC_NI_NO_RESPONSE_TIME            20                      /* secs */
#define LOC_NI_NOTIF_KEY_ADDRESS           "Address"
#define GPS_NI_RESPONSE_IGNORE             4

typedef struct {
    pthread_t               thread;            /* NI thread */
    int                     respTimeLeft;       /* examine time for NI response */
    bool                    respRecvd;   /* NI User reponse received or not from Java layer*/
    void*                   rawRequest;
    int                     reqID;         /* ID to check against response */
    GpsUserResponseType     resp;
    pthread_cond_t          tCond;
    pthread_mutex_t         tLock;
    LocEngAdapter*          adapter;
} loc_eng_ni_session_s_type;

typedef struct {
    loc_eng_ni_session_s_type session;    /* SUPL NI Session */
    loc_eng_ni_session_s_type sessionEs;  /* Emergency SUPL NI Session */
    int reqIDCounter;
} loc_eng_ni_data_s_type;


#endif /* LOC_ENG_NI_H */
